[Win32utils-devel] ffi and msvc

Daniel Berger djberg96 at gmail.com
Tue Jan 10 09:02:07 EST 2012


> > How are you installing it locally? I can't seem to use the rake task
> > because it demands rdoc, and rdoc is demanding iconv, which doesn't
> > appear to support MSVC++ / nmake. I tried running ruby extconf.rb +
> > nmake + nmake install, but that doesn't appear to be the right way to
> > do things.
> Using rake task is the right way.
> But as you know, rake aborted with rdoc/task failure.
> The workaround is building gem package by running rake gem:package on
> Ruby 1.9.3.
> And running gem install with the generated gem file on Ruby 1.8.7.
> Of course, Ruby 1.8.7 needs zlib and gem library.

Excellent, that worked, thanks!

Fantastic work!



More information about the win32utils-devel mailing list